## arduino-cli board attach

Attaches a sketch to a board.

### Synopsis

Sets the default values for port and FQBN. If no port, FQBN or programmer are specified, the current default port, FQBN and programmer are displayed.

```
arduino-cli board attach [-p <port>] [-b <FQBN>] [-P <programmer>] [sketchPath] [flags]
```

### Examples

```
  debian/build/bin/docsgen board attach -p /dev/ttyACM0
  debian/build/bin/docsgen board attach -p /dev/ttyACM0 HelloWorld
  debian/build/bin/docsgen board attach -b arduino:samd:mkr1000  debian/build/bin/docsgen board attach -P atmel_ice
```

### Options

```
      --board-options strings        List of board options separated by commas. Or can be used multiple times for multiple options.
      --discovery-timeout duration   Max time to wait for port discovery, e.g.: 30s, 1m (default 1s)
  -b, --fqbn string                  Fully Qualified Board Name, e.g.: arduino:avr:uno
  -h, --help                         help for attach
  -p, --port string                  Upload port address, e.g.: COM3 or /dev/ttyACM2
  -P, --programmer string            Programmer to use, e.g: atmel_ice
  -l, --protocol string              Upload port protocol, e.g: serial
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli board](arduino-cli_board.md)	 - Arduino board commands.

